質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.49%

  • Ruby

    7907questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Cygwin

    72questions

    Cygwinは、Unixのような環境を、Windows上で構築させるコマンドラインインターフェースです。

  • rbenv

    30questions

ruby-buildでinstallするとエラーが発生する

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 271

reijimatsumura

score 10

 Cygwinでrbenvのruby-buildを使いたい

rubyの開発環境を作ろうと思いrbenvを使って作ろうと思っています。
rbenv installをしようとしたところ下記のようなエラーが出てうまくいきません
どのようにすればよいか教えていただけますでしょうか

 発生している問題・エラーメッセージ

$ rbenv install -l
: 無効なオプションですumura/.rbenv/plugins/ruby-build/bin/rbenv-install: 26 行: set: -
set: 使用法: set [-abefhkmnptuvxBCHP] [-o option-name] [--] [arg ...]
/cygdrive/c/Users/matsumura/.rbenv/plugins/ruby-build/bin/rbenv-install: 行 28: $'\r': コマンドが見つかりません
: 無効なシェルオプション名ですbenv/plugins/ruby-build/bin/rbenv-install: 31 行: shopt: nullglob
/cygdrive/c/Users/matsumura/.rbenv/plugins/ruby-build/bin/rbenv-install: 行 32: 予期しないトークン `$'do\r'' 周辺に構文エラーがあります
/cygdrive/c/Users/matsumura/.rbenv/plugins/ruby-build/bin/rbenv-install: 行 32: `for plugin_path in "$RBENV_ROOT"/'lugins/*/share/ruby-build; do
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

rbenv のインストールを、git clone でインストールしたという認識で間違いないでしょうか。

cygwinで動かすためのスクリプトが、改行文字がLFであるべきところがCRLFに書き換わってしまっているためにエラーとなっています。
以下を実行して、改行の設定を変更した上でrbenvをインストールしなおしてください。

$ git config --global autocrlf false

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/05/10 16:03

    git clone でインストールをしたものです。書き忘れていました。

    書いてある通りしたところうまくできました!!!
    改行の設定は盲点でした、、、もっと勉強します。

    ありがとうございました!!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.49%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Ruby

    7907questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Cygwin

    72questions

    Cygwinは、Unixのような環境を、Windows上で構築させるコマンドラインインターフェースです。

  • rbenv

    30questions